cgCreateState(3)

NAME
cgCreateState - create a state definition

SYNOPSIS
  #include <Cg/cg.h>
  CGstate cgCreateState( CGcontext context,
                         const char * name,
                         CGtype type );

PARAMETERS

context
    The context in which to define the new state.

name
    The name of the new state.

type
    The type of the new state.

RETURN VALUES
Returns a handle to the newly created CGstate.

Returns NULL if there is an error.

DESCRIPTION
cgCreateState adds a new state definition to the context. When a CgFX file is added to the context, all state assignments in the file must have already been defined via a call to cgCreateState or the cgCreateArrayState manpage.

Applications will typically call the cgSetStateCallbacks manpage shortly after creating a new state with cgCreateState.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_CONTEXT_HANDLE_ERROR is generated if context is not a valid context.

CG_INVALID_PARAMETER_ERROR is generated if name is NULL or not a valid identifier, or if type is not a simple scalar, vector, or matrix-type. Array-typed state should be created with the cgCreateArrayState manpage.

HISTORY
cgCreateState was introduced in Cg 1.4.

SEE ALSO
the cgCreateArrayState manpage, the cgGetStateContext manpage, the cgGetStateName manpage, the cgGetStateType manpage, the cgIsState manpage, the cgSetStateCallbacks manpage, the cgGLRegisterStates manpage